# Interface LpkxCimLabelClass

Interface for label classes in CIM.

interface LpkxCimLabelClass {
expression?: string;
maxScale?: number;
minScale?: number;
textSymbol?: {
symbol: LpkxCimTextSymbol;
};
whereClause?: string;
}

#####
Index

### Properties

expression?
maxScale?
minScale?
textSymbol?
whereClause?

##
Properties

### `Optional` expression

expression?: string

The label expression.

### `Optional` maxScale

maxScale?: number

The maximum scale at which labels are visible.

### `Optional` minScale

minScale?: number

The minimum scale at which labels are visible.

### `Optional` textSymbol

textSymbol?: {
symbol: LpkxCimTextSymbol;
}

The text symbol used for labeling.

### `Optional` whereClause

whereClause?: string

The SQL where clause to filter labels.